org.apache.ignite.spi.discovery

## Interface DiscoverySpiDataExchange

    public interface DiscoverySpiDataExchange

Handler for initial data exchange between Ignite nodes. Data exchange is initiated by a new node when it tries to join topology and finishes before it actually joins.

### Method Summary

All Methods Instance Methods Abstract Methods
`DiscoveryDataBag` `collect(DiscoveryDataBag dataBag)` Collects data from all components.
`void` `onExchange(DiscoveryDataBag dataBag)` Notifies discovery manager about data received from remote node.

### Method Detail

#### collect

    DiscoveryDataBag collect(DiscoveryDataBag dataBag)

Collects data from all components. This method is called both on new node that joins topology to transfer its data to existing nodes and on all existing nodes to transfer their data to new node.

Parameters:
  `dataBag` - `DiscoveryDataBag` object managing discovery data during node joining process.

#### onExchange

    void onExchange(DiscoveryDataBag dataBag)

Notifies discovery manager about data received from remote node.

Parameters:
  `dataBag` - Collection of discovery data objects from different components.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018